# class Float

### Public Instance Methods

precisionless_round(precision = nil) click to toggle source
Alias for: round
round(precision = nil) click to toggle source

Rounds the float with the specified precision.

    x = 1.337
    x.round    # => 1
    x.round(1) # => 1.3
    x.round(2) # => 1.34

    # File lib/active_support/core_ext/float/rounding.rb, line 11
    def round(precision = nil)
      if precision
        magnitude = 10.0 ** precision
        (self * magnitude).round / magnitude
      else
        precisionless_round
      end
    end

Also aliased as: precisionless_round